pike.git / src / post_modules / Nettle / configure.in

version» Context lines:

pike.git/src/post_modules/Nettle/configure.in:55:    IDEA_OBJ=""    fi       # These might have been purged from the Nettle lib to avoid GPL    # contamination.    AC_CHECK_FUNCS(nettle_blowfish_decrypt nettle_serpent_decrypt)       # This is the recomended interface in Nettle 2.0.    AC_CHECK_FUNCS(nettle_yarrow256_slow_reseed)    +  # This wasn't present in old Nettles. +  AC_CHECK_FUNCS(nettle_salsa20_crypt) +     AC_MSG_CHECKING([for struct yarrow256_ctx.seed_file])    AC_CACHE_VAL(pike_cv_nettle_struct_yarrow256_ctx_seed_file, [    pike_cv_nettle_struct_yarrow256_ctx_seed_file=no    AC_TRY_COMPILE([   #include <nettle/yarrow.h>    ], [    struct yarrow256_ctx ctx;    return !sizeof(ctx.seed_file);    ], [    pike_cv_nettle_struct_yarrow256_ctx_seed_file=yes